ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dmytro Sen (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (AMBARI-7975) Schema upgrade failed after upgrade from 1.6.0 to 1.7.0
Date Sun, 26 Oct 2014 15:41:33 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-7975?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Dmytro Sen resolved AMBARI-7975.
--------------------------------
    Resolution: Fixed

Committed to trunk and branch-1.7.0

> Schema upgrade failed after upgrade from 1.6.0 to 1.7.0
> -------------------------------------------------------
>
>                 Key: AMBARI-7975
>                 URL: https://issues.apache.org/jira/browse/AMBARI-7975
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>    Affects Versions: 1.7.0
>         Environment: Oracle Ambari DB
>            Reporter: Dmytro Sen
>            Assignee: Dmytro Sen
>            Priority: Blocker
>             Fix For: 1.7.0
>
>
> Schema upgrade failed
> {code}
> 15:33:04,218  WARN [main] DBAccessorImpl:535 - Error executing query: ALTER TABLE clusterconfig
 MODIFY config_data CLOB
> java.sql.SQLException: ORA-22859: invalid modification of columns
>         at oracle.jdbc.driver.T4CTTIoer.processError(T4CTTIoer.java:445)
>         at oracle.jdbc.driver.T4CTTIoer.processError(T4CTTIoer.java:396)
>         at oracle.jdbc.driver.T4C8Oall.processError(T4C8Oall.java:879)
>         at oracle.jdbc.driver.T4CTTIfun.receive(T4CTTIfun.java:450)
>         at oracle.jdbc.driver.T4CTTIfun.doRPC(T4CTTIfun.java:192)
>         at oracle.jdbc.driver.T4C8Oall.doOALL(T4C8Oall.java:531)
>         at oracle.jdbc.driver.T4CStatement.doOall8(T4CStatement.java:193)
>         at oracle.jdbc.driver.T4CStatement.executeForRows(T4CStatement.java:1033)
>         at oracle.jdbc.driver.OracleStatement.doExecuteWithTimeout(OracleStatement.java:1329)
>         at oracle.jdbc.driver.OracleStatement.executeInternal(OracleStatement.java:1909)
>         at oracle.jdbc.driver.OracleStatement.execute(OracleStatement.java:1871)
>         at oracle.jdbc.driver.OracleStatementWrapper.execute(OracleStatementWrapper.java:318)
>         at org.apache.ambari.server.orm.DBAccessorImpl.executeQuery(DBAccessorImpl.java:532)
>         at org.apache.ambari.server.orm.DBAccessorImpl.executeQuery(DBAccessorImpl.java:518)
>         at org.apache.ambari.server.orm.DBAccessorImpl.alterColumn(DBAccessorImpl.java:399)
>         at org.apache.ambari.server.upgrade.UpgradeCatalog170.executeDDLUpdates(UpgradeCatalog170.java:384)
>         at org.apache.ambari.server.upgrade.AbstractUpgradeCatalog.upgradeSchema(AbstractUpgradeCatalog.java:383)
>         at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.executeUpgrade(SchemaUpgradeHelper.java:179)
>         at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.main(SchemaUpgradeHelper.java:239)
> 15:33:04,221 ERROR [main] SchemaUpgradeHelper:181 - Upgrade failed. 
> {code}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message